### Method

# Aravis Device set_features_from_string

since: 0.8.0

#### Declaration [src]

    gboolean
    arv_device_set_features_from_string (
      ArvDevice* device,
      const char* string,
      GError** error
    )

#### Description [src]

Set features from a string containing a list of space separated feature assignments or command names. For example:

    arv_device_set_features_from_string (device, "Width=256 Height=256 PixelFormat='Mono8' TriggerStart", &error);

Available since: 0.8.0

#### Parameters

`string`

  Type: `const char*`

  A space separated list of features assignments.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

No description available.